
Conversion Tools - Bug #5021

improve/fix file-ignore-list.txt ('X' conversion mode) under Windows

11/23/2020 11:00 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Conversion Tools - Feature #3225: windows vs linux in p2j.cfg.xml WIP

Related to Base Language - Feature #3396: shift searchpath and other pathing ... WIP

Related to Conversion Tools - Feature #3927: conversion mode that takes a fil... Closed

Related to Conversion Tools - Bug #5135: replace -s, -f and -x options of Con... Closed

History

#1 - 11/23/2020 11:05 AM - Constantin Asofiei

Under windows, the 'X' conversion mode (which relies on a file with ignore list specifications), doesn't work 'out-of-the-box'.  For example, if a

file-ignore-list.txt under linux has:

./abl/possenet/*

and if you change this to backslashes like:

.\abl\possenet\*

FWD will not process it properly.  The only pattern which can be processed properly as of 3821c rev 11832 (from trunk 11348) is:

.\\abl\\possenet\\*

where all the slashes are switched to doubled backslashes.    

We need to allow a generic, linux-style file-ignore-list.txt to be processed under windows, too.
#2 - 11/30/2020 02:59 PM - Greg Shah

- Related to Feature #3225: windows vs linux in p2j.cfg.xml added

#3 - 11/30/2020 03:01 PM - Greg Shah

- Related to Feature #3396: shift searchpath and other pathing lists in the directory to use the platform neutral comma added

#6 - 02/10/2021 07:51 AM - Greg Shah

- Related to Feature #3927: conversion mode that takes a file spec and a file blacklist added

#7 - 02/13/2021 06:21 PM - Constantin Asofiei

- Status changed from New to WIP

- Assignee set to Constantin Asofiei

- % Done changed from 0 to 100

Fixed in 3821c rev 12009.

All files in the include/exclude list must use Linux-style separator and this will be replaced with the running OS separator.

#8 - 02/15/2021 06:52 AM - Greg Shah

- Status changed from WIP to Closed

#9 - 07/08/2021 06:07 AM - Greg Shah

- Related to Bug #5135: replace -s, -f and -x options of ConversionDriver with a single combined mode added
